--AH:ScriptId=cc274548-eff1-4b1c-bfe7-87bd6c96467a;3134
CREATE TABLE [RaftItems]
(
	[Raft_Id] INT NOT NULL,
	[RaftItemType_Code] CHAR(1) NOT NULL,
	[RaftItem_Name] VARCHAR(200) NOT NULL,
	[Modified_Date] DATETIME NOT NULL,
	[Content_Bytes] VARBINARY(MAX) NOT NULL,

	CONSTRAINT [PK__RaftItems]
		PRIMARY KEY ([Raft_Id], [RaftItemType_Code], [RaftItem_Name]),

	CONSTRAINT [FK__RaftItems__Rafts]
		FOREIGN KEY ([Raft_Id])
		REFERENCES [Rafts] ([Raft_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__RaftItems__RaftItemType_Code]
		CHECK ([RaftItemType_Code] IN ('V', 'R', 'O', 'T', 'S', 'F'))
)

CREATE TABLE [RaftVariables]
(
	[Raft_Id] INT NOT NULL,
	[Variable_Name] VARCHAR(50) NOT NULL,
	[ValueType_Code] CHAR(1) NOT NULL,
	[Variable_Value] NVARCHAR(MAX) NOT NULL,

	CONSTRAINT [PK__RaftVariables]
		PRIMARY KEY ([Raft_Id], [Variable_Name]),

	CONSTRAINT [FK__RaftVariables__Rafts]
		FOREIGN KEY ([Raft_Id])
		REFERENCES [Rafts] ([Raft_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__RaftVariables__ValueType_Code]
		CHECK ([ValueType_Code] IN ('M', 'V', 'S'))
)