--AH:ScriptId=7E23A863-61D4-42D1-A3FE-121DACC080E1

ALTER TABLE [Servers]
	ADD [Latest_CollectionRun_Execution_Id] INT NULL
GO

ALTER TABLE [Servers]
	ADD [FinalRemediation_Job_Id] INT NULL
GO

UPDATE S
   SET [Latest_CollectionRun_Execution_Id] = E_LATEST.[Execution_Id],
       [FinalRemediation_Job_Id] = J_FINAL.[Job_Id]
  FROM [Servers] S
OUTER APPLY ( 
        SELECT TOP 1 E.*
          FROM [Executions] E
         WHERE (E.[Server_Id] = S.[Server_Id]
            OR (E.[Job_Id] IS NOT NULL
                AND S.[Server_Id] IN(SELECT JS.[Server_Id]
                                       FROM [JobServers] JS
                                      WHERE JS.[Job_Id] = E.[Job_Id]
                                      UNION ALL
                                     SELECT SRS.[Server_Id]
                                       FROM [ServerRoleServers] SRS
                                      INNER JOIN [JobServerRoles] JSR
                                              ON JSR.[ServerRole_Id] = SRS.[ServerRole_Id]
                                      WHERE JSR.[Job_Id] = E.[Job_Id])))
           AND E.[ExecutionMode_Code] IN ('C', 'E')
      ORDER BY E.[Execution_Id] DESC
     ) E_LATEST

OUTER APPLY (
    SELECT TOP 1 J.* 
      FROM [ServerConfigurations] SC 
     INNER JOIN [Jobs] J ON J.[Job_Id] = SC.[RemediatedWith_Job_Id]
     WHERE SC.[Server_Id] = S.[Server_Id] 
       AND [ServerConfiguration_Status_Code] = 'D'
     ORDER BY J.[Start_Date] DESC
) J_FINAL

GO

ALTER TABLE [Servers]
	ADD CONSTRAINT [FK__Servers__Executions]
		FOREIGN KEY ([Latest_CollectionRun_Execution_Id])
		REFERENCES [Executions] ([Execution_Id])

ALTER TABLE [Servers]
	ADD CONSTRAINT [FK__Servers__Jobs]
		FOREIGN KEY ([FinalRemediation_Job_Id])
		REFERENCES [Jobs] ([Job_Id])
