IF OBJECT_ID('Environments_GetAncestorEnvironments') IS NOT NULL DROP FUNCTION Environments_GetAncestorEnvironments
GO

CREATE FUNCTION [Environments_GetAncestorEnvironments]
(
	@Environment_Id INT
) RETURNS @environments TABLE ([Level] INT NOT NULL, [Environment_Id] INT NOT NULL)
BEGIN

;WITH results AS
(
    SELECT  [Level] = 0,
			[Environment_Id],
            [Parent_Environment_Id]
    FROM    [Environments]
    WHERE   [Environment_Id] = @Environment_Id
    UNION ALL
    SELECT  [Level] = r.[Level] + 1,
			t.[Environment_Id], 
            t.[Parent_Environment_Id]
    FROM    [Environments] t
            INNER JOIN results r ON r.[Parent_Environment_Id] = t.[Environment_Id]
)
INSERT INTO @environments
SELECT [Level], [Environment_Id]
  FROM results
  
  RETURN
END
GO