EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_DeleteRaftItem',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a database raft item.'
GO

IF OBJECT_ID('[Rafts_DeleteRaftItem]') IS NOT NULL DROP PROCEDURE [Rafts_DeleteRaftItem]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_DeleteRaftItem]
(
	@Raft_Id INT,
	@RaftItemType_Code INT,
	@RaftItem_Name VARCHAR(200),
	@PurgeHistory_Indicator YNINDICATOR
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	IF @PurgeHistory_Indicator = 'Y'
		DELETE [RaftItems]
		 WHERE [Raft_Id] = @Raft_Id
		   AND [RaftItemType_Code] = @RaftItemType_Code
		   AND [RaftItem_Name] = @RaftItem_Name
	ELSE
		UPDATE [RaftItems]
		   SET [Active_Indicator] = 'N'
		 WHERE [Raft_Id] = @Raft_Id
		   AND [RaftItemType_Code] = @RaftItemType_Code
		   AND [RaftItem_Name] = @RaftItem_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Rafts_DeleteRaftItem] TO [OtterUser_Role]
