EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServerRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ServerRoles_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the roles a server is assigned to.'
GO


IF OBJECT_ID('[Servers_GetServerRoles]') IS NOT NULL DROP PROCEDURE [Servers_GetServerRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServerRoles]
(
    @Server_Id INT
)   
AS
BEGIN

    SET NOCOUNT ON

     SELECT SR.* 
      FROM [ServerRoleServers] SRS
     INNER JOIN [ServerRoles_Slim] SR
             ON SR.[ServerRole_Id] = SRS.[ServerRole_Id]
     WHERE [Server_Id] = @Server_Id


END
GO

GRANT EXECUTE ON [Servers_GetServerRoles] TO [OtterUser_Role]