EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Servers_Extended,ServerConfigurations_Extended,Environments_Slim,ServerRoles_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified server, with its associated configurations and environments.'
GO

IF OBJECT_ID('[Servers_GetServer]') IS NOT NULL DROP PROCEDURE [Servers_GetServer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServer]
(
    @Server_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Servers_Extended]
     WHERE [Server_Id] = @Server_Id

    SELECT * 
	  FROM [ServerConfigurations_Extended]
     WHERE [Server_Id] = @Server_Id
     
     SELECT E.* 
	  FROM [EnvironmentServers] ES
     INNER JOIN [Environments_Slim] E
             ON ES.[Environment_Id] = E.[Environment_Id]
     WHERE [Server_Id] = @Server_Id

     SELECT SR.* 
	  FROM [ServerRoleServers] SRS
     INNER JOIN [ServerRoles_Slim] SR
             ON SR.[ServerRole_Id] = SRS.[ServerRole_Id]
     WHERE [Server_Id] = @Server_Id

END
GO

GRANT EXECUTE ON [Servers_GetServer] TO [OtterUser_Role]