EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServerSlim',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Servers_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified server by ID or name.'
GO

IF OBJECT_ID('[Servers_GetServerSlim]') IS NOT NULL DROP PROCEDURE [Servers_GetServerSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServerSlim]
(
    @Server_Id INT = NULL,
	@Server_Name NVARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Server_Id IS NOT NULL
		SELECT *
		  FROM [Servers_Slim]
		 WHERE [Server_Id] = @Server_Id
	ELSE
		SELECT *
		  FROM [Servers_Slim]
		 WHERE [Server_Name] = @Server_Name

END
GO

GRANT EXECUTE ON [Servers_GetServerSlim] TO [OtterUser_Role]