EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'System_GetIndexStatistics',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'IndexStatistics',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the database index statistics for the system.'
GO


IF OBJECT_ID('[System_GetIndexStatistics]') IS NOT NULL DROP PROCEDURE [System_GetIndexStatistics]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [System_GetIndexStatistics]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [IndexStatistics]
	 ORDER BY [AverageFragmentation_Percent] DESC

END
GO

GRANT EXECUTE ON [System_GetIndexStatistics] TO [OtterUser_Role]